TIM1P:	PUSH PSW	;	TIMER 1 INT SERVICE HERE.
	PUSH A	;	SAVE ACC.
	PUSH B	;	SAVE B REGISTER
	PUSH DPL	;	SAVE DATA POINTER HIGH.
	PUSH DPH	;	SAVE DATA POINTER LOW.
	MOV RPBAK,R1	;	SAVE R1.
	MOV A,TIMER	;	READ TIMER LOCATION.
	JZ DSPLY	;	IF ZERO DISPLAY DIGIT.
	DEC TIMER	;	LOCATION TIMER DECREMENTED BY 1.
	SJMP T1RET	;	TIMER IS STILL RUNNING.
DSPLY:	MOV TIMER,#MUXRT	;	RESET TIMER TO MUXRT
	MOV DPTR,#DGTAD	;	SET DPTR TO SEG LATCH ADDR.
	MOV A,#BLANK XOR DKORA	;	READ BLANK CODE TO ACC.
	MOVX @DPTR,A	;	TURN OFF ALL DIGITS BLANK.
	MOV A,#DSPMP	;	SET ACC TO LOC 88-8=80
	ADD A,MUXRG	;	ADD MUXRG IF MUXRG=8 LOC 88 IF MUXRG=1 LOC 81
	MOV R1,A	;	SAVE ACC ADDR TO R1.
	MOV A,@R1	;	READ DSPMP CONTENTS TO ACC.
	MOV DPTR,#SEGAD	;	SET DPTR TO SEG LATCH ADDR.
	MOVX @DPTR,A	;	WRITE INTO DATA POINTER LOCATION LIGHT SEGMENTS.
	MOV DPTR,#ENDGT	;	SET DPTR TO TABLE START-1 ENDGT.
	CLR A	;	SET ACC TO 0.
	ADD A,MUXRG	;	ADD TO ACC DSPNO.
	MOVC A,@A+DPTR	;	FETCH DIGIT DECODE VALUE.
	MOV DPTR,#DGTAD	;	SET DPTR TO SEG LATCH ADDR.
	MOVX @DPTR,A	;	WRITE INTO DATA POINTER LOCATION LIGHT SEGMENTS.
	DJNZ MUXRG,T1RET	;	SHIFT TO NEXT DISPLAY AND RETURN.
	MOV MUXRG,#DSPNO	;	IF MUXRG=0 THEN SET IT BACK TO 8.
T1RET:	MOV R1,RPBAK	;	RESTORE R1.
	POP DPH	;	RESTORE DATA POINTER LOW.
	POP DPL	;	RESTORE DATA POINTER HIGH.
	POP B	;	RESTORE B REGISTER
	POP A	;	RESTORE ACC.
	POP PSW	;	TIMER 1 INT SERVICE HERE.
	RETI	;	RETURN INT.

			
